Recent

Author Topic: [LAMW] Build Chipset Problem  (Read 384 times)

loaded

  • Full Member
  • ***
  • Posts: 172
[LAMW] Build Chipset Problem
« on: January 24, 2021, 09:19:39 am »
Hi All,
Previously, I wrote with Lazarus 2.0.6, Fpc 3.0.4
and the project that I have compiled and run smoothly with Armv7a + Soft option,
After updating processes;
Lazarus 2.0.10 on Fpc 3.2.0, when I want to compile;
Quote
Fatal: Cannot find system used by controls. Make sure all ppu files of a package are in its output directory. ppu in wrong directory=C:\lazarus\fpc\3.2.0\units\arm-android\rtl\system.ppu..
I am encountering the error.
If I choose the Armv7a + Vfpv3 option the problem goes away.
But this time while the project is running, logcat
Crashes with
Quote
libc : Fatal signal 7 (SIGBUS)
error.
How can I compile with the current Lazarus and LAMW I want to learn, with Armv7a + Soft option.
« Last Edit: January 24, 2021, 09:23:37 am by loaded »
Installing the spelling, google translate is used :)

trev

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 1275
  • Former Delphi 1-7, 10.2 User
Re: [LAMW] Build Chipset Problem
« Reply #1 on: January 24, 2021, 11:06:15 am »
ppu in wrong directory - Check that the right fpc.cfg is used and that it contains the paths to your
current FPC installation.

If  after that the system is still not happy, try deleting the file about which it is complaining (C:\lazarus\fpc\3.2.0\units\arm-android\rtl\system.ppu).
Lazarus 2.1 r64368 FPC 3.3.1 r48100 macOS 10.14.6 Xcode 11.3.1
Lazarus 2.1 r64455 3.3.1 r48688  macOS 11.2 aarch64 Xcode 12.4
Lazarus 2.1 r61574 3.3.1 r42318 FreeBSD 12.1 amd64 VMware VM
Lazarus 2.1 r61574 3.0.4 Ubuntu 20.04 Parallels VM
Lazarus 2.0.10 3.2.0 Win10 Parallels VM

loaded

  • Full Member
  • ***
  • Posts: 172
Re: [LAMW] Build Chipset Problem
« Reply #2 on: January 24, 2021, 12:11:58 pm »
trev, thank you very much for the answer.
The ppu file is in the directory where it should be, but like deleting files and renaming .... although I have tried many attempts, the problem is not solved yet.
My goal is to compile Armv7a + Soft supported application on Lazarus 2.0.10, fpc 3.2.0 Lamw 0.8.6.1. has anyone done this
Or am I rowing in vain!
Installing the spelling, google translate is used :)

jmpessoa

  • Hero Member
  • *****
  • Posts: 1785
Re: [LAMW] Build Chipset Problem
« Reply #3 on: January 24, 2021, 08:37:36 pm »

1) How You got your Lazarus/FPC for Android?

2)You can try "Run"  --> "Clean Up And Build"   to clear your project... 
before "Run"  --> "[LAMW] Build Android Apk ..."
Lamw: Lazarus Android Module Wizard
https://github.com/jmpessoa/lazandroidmodulewizard

loaded

  • Full Member
  • ***
  • Posts: 172
Re: [LAMW] Build Chipset Problem
« Reply #4 on: January 24, 2021, 09:14:44 pm »
jmpessoa, thank you very much for the answer.
I downloaded and installed the necessary files for android from the free pascal compiler's own page.
This link is https://sourceforge.net/projects/freepascal/files/Win32/3.2.0/
Newly created projects run smoothly, old project crashes.

2)You can try "Run"  --> "Clean Up And Build"   to clear your project... 
before "Run"  --> "[LAMW] Build Android Apk ..."
yes I did this process too.
Unfortunately, the problem did not go away.
So I had to go back to Version 2.0.6.
It works fine now but my mind is at 2.0.10
Installing the spelling, google translate is used :)

jmpessoa

  • Hero Member
  • *****
  • Posts: 1785
Re: [LAMW] Build Chipset Problem
« Reply #5 on: January 24, 2021, 09:35:31 pm »

Quote
Newly created projects run smoothly, old project crashes....
Nice!

Quote
I downloaded and installed the necessary files for android from the free pascal compiler's own page.
I Guess that you can't compile using  "Armv7a + Soft"  using this...

So, for old projects go to "Project" --> "Project Options"  --> "Compile Options" --> ""Custom Options"

And change -CfSoft   to  -CfVFPv3  !!!
Lamw: Lazarus Android Module Wizard
https://github.com/jmpessoa/lazandroidmodulewizard

loaded

  • Full Member
  • ***
  • Posts: 172
Re: [LAMW] Build Chipset Problem
« Reply #6 on: January 24, 2021, 10:03:26 pm »
I Guess that you can't compile using  "Armv7a + Soft"  using this...
yes, unfortunately i couldn't start it.
For now, the best way is the way you know, I'll continue the old way.
Installing the spelling, google translate is used :)

 

TinyPortal © 2005-2018